Package com.avaya.clientservices.common

## Enum DataRetrievalSearchFailReason

- java.lang.Object
- - java.lang.Enum<DataRetrievalSearchFailReason>
  - - com.avaya.clientservices.common.DataRetrievalSearchFailReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DataRetrievalSearchFailReason>`

      public enum DataRetrievalSearchFailReason
      extends java.lang.Enum<DataRetrievalSearchFailReason>

  Contact operations related errors

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_FAILED` |
    `BACKEND_SOURCE_NOT_CONNECTABLE` |
    `CERTIFICATE_ERROR` |
    `CONFIG_CHANGE` |
    `DATABASE_ERROR` |
    `DIGEST_MISMATCH` |
    `IDENTITY_BAD_CERTIFICATE` |
    `IDENTITY_EXPIRED_CERTIFICATE` |
    `IDENTITY_NO_CERTIFICATE` |
    `IDENTITY_REVOKED_CERTIFICATE` |
    `IDENTITY_UNKNOWN_CA` |
    `IDENTITY_UNSUPPORTED_CERTIFICATE` |
    `INTERNAL_ERROR` |
    `INVALID_CHUNKSIZE` |
    `INVALID_SEARCH_CRITERIA` |
    `INVALID_SEARCH_REQUEST` |
    `INVALID_SEARCH_REQUEST_ID` |
    `INVALID_SEARCH_TYPE` |
    `LDAP_CONNECT_FAILED` |
    `LDAP_RETRIEVE_RESULTS_FAILED` |
    `LDAP_SEARCH_FAILED` |
    `MAX_SEARCH_LIMIT_CROSSED` |
    `NO_PICTURE` |
    `PROVISIONING_ERROR` |
    `PROXY_AUTHENTICATION_ERROR` |
    `PROXY_CONNECTION_ERROR` |
    `REGULAR_EXPRESSION` |
    `REQUEST_TIMEOUT` |
    `RETRIEVE_PICTURE_NOT_SUPPORTED` |
    `RETRY` |
    `SECURE_CONNECTION_FAILED` |
    `UNKNOWN_REASON` |
    `USER_CANCEL` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DataRetrievalSearchFailReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DataRetrievalSearchFailReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN_REASON

          public static final DataRetrievalSearchFailReason UNKNOWN_REASON

    - #### INTERNAL_ERROR

          public static final DataRetrievalSearchFailReason INTERNAL_ERROR

    - #### BACKEND_SOURCE_NOT_CONNECTABLE

          public static final DataRetrievalSearchFailReason BACKEND_SOURCE_NOT_CONNECTABLE

    - #### AUTHENTICATION_FAILED

          public static final DataRetrievalSearchFailReason AUTHENTICATION_FAILED

    - #### CERTIFICATE_ERROR

          public static final DataRetrievalSearchFailReason CERTIFICATE_ERROR

    - #### IDENTITY_NO_CERTIFICATE

          public static final DataRetrievalSearchFailReason IDENTITY_NO_CERTIFICATE

    - #### IDENTITY_BAD_CERTIFICATE

          public static final DataRetrievalSearchFailReason IDENTITY_BAD_CERTIFICATE

    - #### IDENTITY_UNSUPPORTED_CERTIFICATE

          public static final DataRetrievalSearchFailReason IDENTITY_UNSUPPORTED_CERTIFICATE

    - #### IDENTITY_REVOKED_CERTIFICATE

          public static final DataRetrievalSearchFailReason IDENTITY_REVOKED_CERTIFICATE

    - #### IDENTITY_EXPIRED_CERTIFICATE

          public static final DataRetrievalSearchFailReason IDENTITY_EXPIRED_CERTIFICATE

    - #### IDENTITY_UNKNOWN_CA

          public static final DataRetrievalSearchFailReason IDENTITY_UNKNOWN_CA

    - #### SECURE_CONNECTION_FAILED

          public static final DataRetrievalSearchFailReason SECURE_CONNECTION_FAILED

    - #### REQUEST_TIMEOUT

          public static final DataRetrievalSearchFailReason REQUEST_TIMEOUT

    - #### USER_CANCEL

          public static final DataRetrievalSearchFailReason USER_CANCEL

    - #### CONFIG_CHANGE

          public static final DataRetrievalSearchFailReason CONFIG_CHANGE

    - #### NO_PICTURE

          public static final DataRetrievalSearchFailReason NO_PICTURE

    - #### INVALID_SEARCH_REQUEST_ID

          public static final DataRetrievalSearchFailReason INVALID_SEARCH_REQUEST_ID

    - #### INVALID_SEARCH_CRITERIA

          public static final DataRetrievalSearchFailReason INVALID_SEARCH_CRITERIA

    - #### INVALID_SEARCH_TYPE

          public static final DataRetrievalSearchFailReason INVALID_SEARCH_TYPE

    - #### MAX_SEARCH_LIMIT_CROSSED

          public static final DataRetrievalSearchFailReason MAX_SEARCH_LIMIT_CROSSED

    - #### INVALID_CHUNKSIZE

          public static final DataRetrievalSearchFailReason INVALID_CHUNKSIZE

    - #### DATABASE_ERROR

          public static final DataRetrievalSearchFailReason DATABASE_ERROR

    - #### RETRY

          public static final DataRetrievalSearchFailReason RETRY

    - #### REGULAR_EXPRESSION

          public static final DataRetrievalSearchFailReason REGULAR_EXPRESSION

    - #### LDAP_CONNECT_FAILED

          public static final DataRetrievalSearchFailReason LDAP_CONNECT_FAILED

    - #### LDAP_SEARCH_FAILED

          public static final DataRetrievalSearchFailReason LDAP_SEARCH_FAILED

    - #### LDAP_RETRIEVE_RESULTS_FAILED

          public static final DataRetrievalSearchFailReason LDAP_RETRIEVE_RESULTS_FAILED

    - #### PROVISIONING_ERROR

          public static final DataRetrievalSearchFailReason PROVISIONING_ERROR

    - #### DIGEST_MISMATCH

          public static final DataRetrievalSearchFailReason DIGEST_MISMATCH

    - #### RETRIEVE_PICTURE_NOT_SUPPORTED

          public static final DataRetrievalSearchFailReason RETRIEVE_PICTURE_NOT_SUPPORTED

    - #### INVALID_SEARCH_REQUEST

          public static final DataRetrievalSearchFailReason INVALID_SEARCH_REQUEST

    - #### PROXY_CONNECTION_ERROR

          public static final DataRetrievalSearchFailReason PROXY_CONNECTION_ERROR

    - #### PROXY_AUTHENTICATION_ERROR

          public static final DataRetrievalSearchFailReason PROXY_AUTHENTICATION_ERROR

  - ### Method Detail

    - #### values

          public static DataRetrievalSearchFailReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataRetrievalSearchFailReason c : DataRetrievalSearchFailReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataRetrievalSearchFailReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null